Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229343 - Allow ifup-ipsec setting of my_identifier
Summary: Allow ifup-ipsec setting of my_identifier
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 14:41 UTC by Chris Adams
Modified: 2014-03-17 03:05 UTC (History)
1 user (show)

Fixed In Version: 8.52-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 22:47:44 UTC


Attachments (Terms of Use)
ifup-ipsec and doc patch (deleted)
2007-02-20 14:41 UTC, Chris Adams
no flags Details
updated ifup-ipsec patch (deleted)
2007-02-20 16:46 UTC, Chris Adams
no flags Details | Diff

Description Chris Adams 2007-02-20 14:41:56 UTC
I'm just starting with IPsec, but for my connection I need to use a user_fqdn as
my identifier instead of address with a preshared key, but ifup-ipsec always
sets "my_identifier address".  Here is a patch that allows it to be changed from
the ifcfg-* file.

Comment 1 Chris Adams 2007-02-20 14:41:56 UTC
Created attachment 148412 [details]
ifup-ipsec and doc patch

Comment 2 Chris Adams 2007-02-20 16:42:57 UTC
Oops, I shouldn't change the name written to psk.txt.  That is the remote
identifier or address.  I'll add a new patch shortly.

Comment 3 Chris Adams 2007-02-20 16:46:13 UTC
Created attachment 148424 [details]
updated ifup-ipsec patch

Comment 4 Bill Nottingham 2007-04-16 22:47:44 UTC
Added in CVS, will be in 8.52-1. Thanks!


Note You need to log in before you can comment on or make changes to this bug.